import { IConnection } from "vscode-languageserver";
import { URI } from "vscode-uri";
import Parser from "web-tree-sitter";
import { Forest } from "./forest";
import { Imports } from "./imports";
import { Settings } from "./util/settings";
export declare class ElmWorkspace {
    private rootPath;
    private connection;
    private settings;
    private parser;
    private elmFolders;
    private forest;
    private imports;
    constructor(rootPath: URI, connection: IConnection, settings: Settings, parser: Parser);
    init(progressCallback: (percent: number) => void): Promise<void>;
    hasDocument(uri: URI): boolean;
    hasPath(uri: URI): boolean;
    getForest(): Forest;
    getImports(): Imports;
    getRootPath(): URI;
    private initWorkspace;
    private findElmFilesInFolders;
    private findElmFilesInFolder;
    private packageOrPackagesFolder;
    private findElmHome;
    private readAndAddToForest;
}
