import { DocumentFormattingParams, IConnection, TextEdit } from "vscode-languageserver";
import { TextDocument } from "vscode-languageserver-textdocument";
import { URI } from "vscode-uri";
import { ElmWorkspace } from "../elmWorkspace";
import { Settings } from "../util/settings";
import { TextDocumentEvents } from "../util/textDocumentEvents";
declare type DocumentFormattingResult = Promise<TextEdit[] | undefined>;
export declare class DocumentFormattingProvider {
    private connection;
    private events;
    private settings;
    constructor(connection: IConnection, elmWorkspaces: ElmWorkspace[], events: TextDocumentEvents<TextDocument>, settings: Settings);
    formatText: (elmWorkspaceRootPath: URI, elmFormatPath: string, text: string) => DocumentFormattingResult;
    protected handleFormattingRequest: (params: DocumentFormattingParams, elmWorkspace: ElmWorkspace) => DocumentFormattingResult;
}
export {};
