/// <reference types="node" />
import { EventEmitter } from "events";
import { TextDocumentsConfiguration } from "vscode-languageserver";
import { IDocumentEvents } from "./documentEvents";
export declare class TextDocumentEvents<T> extends EventEmitter {
    private _documents;
    private _configuration;
    constructor(configuration: TextDocumentsConfiguration<T>, events: IDocumentEvents);
    /**
     * Returns the document for the given URI. Returns undefined if
     * the document is not managed by this instance.
     *
     * @param uri The text document's URI to retrieve.
     * @return the text document or `undefined`.
     */
    get(uri: string): T | undefined;
}
